Skip to main content
POST
Create New Message

Authorizations

api_access_token
string
header
required

Token de usuario. Envía el valor en el header api_access_token. Lo obtienes en el perfil (GET /api/v1/profile) o al regenerarlo.

Path Parameters

account_id
integer
required

The numeric ID of the account

conversation_id
integer
required

The numeric ID of the conversation

Body

content
string
required

The content of the message

Example:

"Hello, how can I help you?"

message_type
enum<string>

The type of the message

Available options:
outgoing,
incoming
Example:

"outgoing"

private
boolean

Flag to identify if it is a private note

Example:

false

content_type
enum<string>

Content type of the message

Available options:
text,
input_email,
cards,
input_select,
form,
article
Example:

"text"

content_attributes
object

Attributes based on the content type

Example:
campaign_id
integer

The campaign id to which the message belongs

Example:

1

template_params
object

WhatsApp template parameters for sending structured messages

Response

Success

id
number

The ID of the message

content
string

The text content of the message

account_id
number

The ID of the account

inbox_id
number

The ID of the inbox

conversation_id
number

The ID of the conversation

message_type
enum<integer>

The type of the message

Available options:
0,
1,
2
created_at
integer

The time at which message was created

updated_at
integer

The time at which message was updated

private
boolean

The flags which shows whether the message is private or not

status
enum<string>

The status of the message

Available options:
sent,
delivered,
read,
failed
source_id
string

The source ID of the message

content_type
enum<string>

The type of the template message

Available options:
text,
input_select,
cards,
form
content_attributes
object

The content attributes for each content_type

sender_type
enum<string>

The type of the sender

Available options:
contact,
agent,
agent_bot
sender_id
number

The ID of the sender

external_source_ids
object

The external source IDs of the message

additional_attributes
object

The additional attributes of the message

processed_message_content
string

The processed message content

sentiment
object

The sentiment of the message

conversation
object

The conversation object

attachment
object

The file object attached to the image

sender
object

User/Agent/AgentBot object